ASSEMBLE
        CLRLIST ALL
RPL

* Turn Off Assembly Listing 1.1
**miscdoc+*******************************************^******
************************************************************
**
** File:    OffList.h Version 1.0, 23/03/00
** Machine: Enterprise
**
************************************************************
**+miscdoc**************************************************

**miscdoc+**************************************************
************************************************************
**
**  This file turns off the assembly listing so the contents
**  of "Header.h" are not shown in every listing that
**  includes "Header.h".
**
**  The last file in "Header.h" should be "OnList.h", to
**  turn back on the assembly listing.
**
************************************************************
**+miscdoc**************************************************
RPL             ( insure RPL-mode exit )
*************************************************************************
*
*       File:   Dftault.h Version 1.8, 04/17/95
*       DEFINE statements for all the Variables Dftault Values.
*
*************************************************************************

*** Default for Shared Topic Variables
DEFINE DftXmin          % -6.5
DEFINE DftXmax          % 6.5
DEFINE DftYmin          % -3.1
DEFINE DftYmax          % 3.2
DEFINE DftHTick         % 1
DEFINE DftVTick         % 1
DEFINE DftHZoom         % 4
DEFINE DftVZoom         % 4
DEFINE DftAngle         # 2     ( Rad )
DEFINE DftTStart        % 0
DEFINE DftTStep         % 0.1
DEFINE DftTZoom         % 4
DEFINE DftTFlags        0
DEFINE DftFormat        # 1
DEFINE DftDigits        # 0

*** Default for Polar
DEFINE DftThetaMin      % 0
DEFINE DftThetaMax      % 6.28318530718         ( %2PI )
DEFINE DftThetaStp      % 0.1308996939          ( %PI/24 )

*** Default for Paramatric
DEFINE DftTmin          % 0
DEFINE DftTmax          % 12
DEFINE DftPStep         % 0.1

*** Default for Sequence
DEFINE DftSeqXmin       % -2
DEFINE DftSeqXmax       % 24
DEFINE DftSeqYmin       % -2
DEFINE DftSeqYmax       % 10.6
DEFINE DftSeqNmin       % 1
DEFINE DftSeqNmax       % 24
DEFINE DftSeqType       # 1
DEFINE DftSeqTStart     % 1
DEFINE DftSeqTStep      % 1

*** Default for Solve
DEFINE DftSolveTcol     # 1
DEFINE DftSolveTrow     # 1

*** Default for Statistics
DEFINE DftStatXmin      % -2
DEFINE DftStatXmax      % 24
DEFINE DftStatYmin      % -2
DEFINE DftStatYmax      % 10.6
DEFINE DftStatType      # 1     ( 1=1Var, 2=2Var Statistic )
DEFINE DftStatPlot      # 1     ( 1=Histogram, 2=BoxWhisker )
DEFINE DftHisWidth      % 1
DEFINE DftHmin          % 0
DEFINE DftHmax          % 20

DEFINE DftStatMark      # 54321
DEFINE DftStatModel     # 11111
RPL             ( insure RPL-mode exit )
**      Charlemagne System Flags 1.1
**miscdoc+**************************************************
************************************************************
**
** File:    SysFlags.h Version 1.1, 07/01/94
** Machine: Charlemagne
**
************************************************************
**+miscdoc**************************************************

**miscdoc+**************************************************
************************************************************
**
** Default system flag values
**
**   These equates define the system flag values to be used
**   when the machine is reset.  The exact value depends on
**   the system flag number assignments and the individual
**   system flag default values.
**
************************************************************
**+miscdoc**************************************************
ASSEMBLE
DefSysF64-33 EQU        #00000002
DefSysF32-01 EQU        #04010FF0
DefSysF65-96 EQU        #42000000       Just Algebraic Mode is On by Default
DefSysF97-128 EQU       #00000000
**              "103F" specifies binary integer wordsize of 64;, RAD
**              all other flags are clear
RPL

**miscdoc+**************************************************
************************************************************
**
** System flag RPL number assignments
**
**   All states represented by multiple flags should
**   start on a flag number nibble boundary (e.g., 1, 5, ...)
**   for more efficient code.
**
**   All single-bit flags should by default be CLEAR.  For
**   example, the "last arguments" mode is enabled (the default)
**   when "fnLastArgs" is CLEAR.
**
************************************************************
**+miscdoc**************************************************

**
** Symbolic math system flags:
**
DEFINE fnSolutions      ONE             ( solution mode )
DEFINE fnConstants      TWO             ( constants mode )
DEFINE fnResults        THREE           ( results mode )
DEFINE fnCareful        FOUR            ( careful evaluation mode )

**
** Binary integer math system flags:
**
DEFINE fnBinWordS1      FIVE            ( binary integer wordsize )
  ( must start on nibble boundary )
DEFINE fnBinWordS2      SIX
DEFINE fnBinWordS3      SEVEN
DEFINE fnBinWordS4      EIGHT
DEFINE fnBinWordS5      NINE
DEFINE fnBinWordS6      TEN
DEFINE fnBinBase1       ELEVEN          ( binary integer base )
  ( must follow "fnBinWordS6" )
DEFINE fnBinBase2       TWELVE

**
** Floating-point math system flags:
**
DEFINE fnPmtMode        FOURTEEN        ( financial BEGIN/END mode )
DEFINE fnComVecDi1      FIFTEEN         ( complex number and vector
                                        mode )
DEFINE fnComVecDi2      SIXTEEN
DEFINE fnAngle1         SEVENTEEN       ( angle mode )
  ( must start on a nibble boundary )
DEFINE fnAngle2         EIGHTEEN
DEFINE fnComplex2D      NINETEEN        ( complex 2D mode )
DEFINE fnUnderfAct      TWENTY          ( underflow action )
DEFINE fnOverfAct       TWENTYONE       ( overflow action )
DEFINE fnInfResAct      TWENTYTWO       ( infinite result action )
DEFINE fnUnderfNeg      TWENTYTHREE     ( underflow-negative indicator )
DEFINE fnUnderfPos      TWENTYFOUR      ( underflow-positive indicator )
DEFINE fnOverflow       TWENTYFIVE      ( overflow indicator )
DEFINE fnInfResult      TWENTYSIX       ( infinite result indicator )
DEFINE fnSymbCx         TWENTYSEVEN     ( symbolic-comples decompilation )
**
** Plotting, I/O, and printing system flags:
**
DEFINE fnSimuPlot       TWENTYEIGHT     ( simultaneous plot mode )
DEFINE fnAxesPlot       TWENTYNINE      ( axis drawing plot mode )
DEFINE fnPlotBoth       THIRTY          ( plot both LHS & RHS even if LHS is ID )
DEFINE fnConnectPt      THIRTYONE       ( connect points mode )
DEFINE fnGCursor        THIRTYTWO       ( graphics cursor type mode )
DEFINE fnIODevice       THIRTYTHREE     ( I/O device )
DEFINE fnPrintDev       THIRTYFOUR      ( print device )
DEFINE fnIODataFmt      THIRTYFIVE      ( I/O data format )
DEFINE fnOverwrite      THIRTYSIX       ( variable overwrite mode )
DEFINE fnDblSpace       THIRTYSEVEN     ( double-space print mode )
DEFINE fnNoAutoCR       THIRTYEIGHT     ( suppress auto CR mode )
DEFINE fnNoIOStsMsg     THIRTYNINE      ( suppress I/O status messages )


**
** Time management system flags:
**
DEFINE fnClockOn        FORTY           ( clock display mode )
DEFINE fnClockFmt       FORTYONE        ( clock display format )
DEFINE fnDateFmt        FORTYTWO        ( date format )
DEFINE fnResRepAlm      FORTYTHREE      ( reschedule unacknowledged
                                        repeat alarms mode )
DEFINE fnDelNRAlm       FORTYFOUR       ( delete acknowledged non-repeat
                                        alarms mode )

**
** Display format system flags:
**
DEFINE fnNumDigs1       FORTYFIVE       ( number of decimal digits )
  ( must start on nibble boundary )
DEFINE fnNumDigs2       FORTYSIX
DEFINE fnNumDigs3       FORTYSEVEN
DEFINE fnNumDigs4       FIRTYEIGHT
DEFINE fnNumDisp1       FORTYNINE       ( number display format )
  ( must start on nibble boundary )
DEFINE fnNumDisp2       FIFTY
DEFINE fnRadix          FIFTYONE        ( radix mark )
DEFINE fnMultiDisp      FIFTYTWO        ( multi-line display mode )
DEFINE fnShowPrec       FIFTYTHREE      ( show precedence mode )
DEFINE fnIgnoreTiny     FIFTYFOUR       ( zero out tiny matrix elements )

**
** Miscellaneous system flags:
**
DEFINE fnLastArgs       FIFTYFIVE       ( last arguments mode )
DEFINE fnErrorBeep      FIFTYSIX        ( error beep mode )
DEFINE fnAlarmBeep      FIFTYSEVEN      ( alarm beep mode )
DEFINE fnVerbose        FIFTYEIGHT      ( verbose display mode )
DEFINE fnNameOnly       FIFTYNINE       ( variable name only mode  )
DEFINE fnTriAlpha       SIXTY           ( 3-way alpha mode )
DEFINE fnTriUser        SIXTYONE        ( 3-way user keys mode )
DEFINE fnUserKeys       SIXTYTWO        ( user keys mode )
DEFINE fnNoParse        SIXTYTHREE      ( special parser mode )
DEFINE fnIndexWrap      SIXTYFOUR       ( index wraparound indicator )

**miscdoc+**************************************************
************************************************************
**
** System flag assembly number assignments
**
**   See "System flag RPL number assignments" for flag
**   descriptions
**
************************************************************
**+miscdoc**************************************************

ASSEMBLE
**
** Symbolic math system flags:
**
SolutionsFl  EQU 1
ConstantsFl  EQU 2
ResultsFl    EQU 3
CarefulFl    EQU 4

**
** Binary integer math system flags:
**
BinWordSFl1  EQU 5      must start on a nibble boundary
BinWordSBCt  EQU 6      number of bits
** Flag 2    EQU 6
** Flag 3    EQU 7
** Flag 4    EQU 8
** Flag 5    EQU 9
** Flag 6    EQU 10
BinBaseFl1   EQU 11     must follow "BinWordSFl6"
BinBaseBCt   EQU 2      number of bits
** Flag 2    EQU 12

**
** Floating-point math system flags:
**
ComVecDiFl1  EQU 15
ComVecDiBCt  EQU 2      number of bits
** Flag2     EQU 16
AngleFl1     EQU 17     must start on a nibble boundary
AngleBCt     EQU 2      number of bits
** Flag2     EQU 18
Complex2DFl  EQU 19
UnderfActFl  EQU 20
OverfActFl   EQU 21
InfResActFl  EQU 22
UnderfNegFl  EQU 23
UnderfPosFl  EQU 24
OverflowFl   EQU 25
InfResultFl  EQU 26

**
** Plotting, I/O, and printing system flags:
**
FunctPlotFl  EQU 30
ConnectPtFl  EQU 31
GCursorFl    EQU 32
IODeviceFl   EQU 33
PrintDevFl   EQU 34
IODataFmtFl  EQU 35
OverwriteFl  EQU 36
DblSpaceFl   EQU 37
NoAutoCRFl   EQU 38
NoIOStsMsgFl EQU 39

**
** Time management system flags:
**
ClockOnFl    EQU 40
ClockFmtFl   EQU 41
DateFmtFl    EQU 42
ResRepAlmFl  EQU 43
DelNRAlmFl   EQU 44

**
** Display format system flags:
**
NumDigsFl1   EQU 45     must start on a nibble boundary
NumDigsBCt   EQU 4      number of bits
** Flag2     EQU 46
** Flag3     EQU 47
** Flag4     EQU 48
NumDispFl1   EQU 49     must start on a nibble boundary
NumDispBCt   EQU 2      number of bits
** Flag2     EQU 50
RadixFl      EQU 51
MultiDispFl  EQU 52
ShowPrecFl   EQU 53

**
** Miscellaneous system flags:
**
LastArgsFl   EQU 55
ErrorBeepFl  EQU 56
AlarmBeepFl  EQU 57
VerboseFl    EQU 58
FastEqViewFl EQU 59
TriAlphaFl   EQU 60
TriUserFl    EQU 61
UserKeysFl   EQU 62
NoParseFl    EQU 63
IndexWrapFl  EQU 64


**miscdoc+**************************************************
************************************************************
**
**  System flag computed nibble and bit assignments
**
************************************************************
**+miscdoc**************************************************

AlarmBeepNib EQU ((AlarmBeepFl)-1)/4
AlarmBeepBit EQU ((AlarmBeepFl)-1)%4

AngleNib     EQU ((AngleFl1)-1)/4
AngleBit1    EQU ((AngleFl1)-1)%4
AngleBit2    EQU (AngleBit1)+1

BinBaseNib   EQU ((BinBaseFl1)-1)/4
BinBaseBit1  EQU ((BinBaseFl1)-1)%4

BinWordSNib  EQU ((BinWordSFl1)-1)/4
BinWordSBit1 EQU ((BinWordSFl1)-1)%4

CarefulNib   EQU ((CarefulFl)-1)/4
CarefulBit   EQU ((CarefulFl)-1)%4

ClockFmtNib  EQU ((ClockFmtFl)-1)/4
ClockFmtBit  EQU ((ClockFmtFl)-1)%4

ClockOnNib   EQU ((ClockOnFl)-1)/4
ClockOnBit   EQU ((ClockOnFl)-1)%4

Complex2DNib EQU ((Complex2DFl)-1)/4
Complex2DBit EQU ((Complex2DFl)-1)%4

ComVecDiNib  EQU ((ComVecDiFl1)-1)/4
ComVecDiBit1 EQU ((ComVecDiFl1)-1)%4

ConnectPtNib EQU ((ConnectPtFl)-1)/4
ConnectPtBit EQU ((ConnectPtFl)-1)%4

ConstantsNib EQU ((ConstantsFl)-1)/4
ConstantsBit EQU ((ConstantsFl)-1)%4

DateFmtNib   EQU ((DateFmtFl)-1)/4
DateFmtBit   EQU ((DateFmtFl)-1)%4

DblSpaceNib  EQU ((DblSpaceFl)-1)/4
DblSpaceBit  EQU ((DblSpaceFl)-1)%4

DelNRAlmNib  EQU ((DelNRAlmFl)-1)/4
DelNRAlmBit  EQU ((DelNRAlmFl)-1)%4

ErrorBeepNib EQU ((ErrorBeepFl)-1)/4
ErrorBeepBit EQU ((ErrorBeepFl)-1)%4

FastEViewNib EQU ((FastEqViewFl)-1)/4
FastEViewBit EQU ((FastEqViewFl)-1)%4

FunctPlotNib EQU ((FunctPlotFl)-1)/4
FunctPlotBit EQU ((FunctPlotFl)-1)%4

GCursorNib   EQU ((GCursorFl)-1)/4
GCursorBit   EQU ((GCursorFl)-1)%4

IndexWrapNib EQU ((IndexWrapFl)-1)/4
IndexWrapBit EQU ((IndexWrapFl)-1)%4

InfResActNib EQU ((InfResActFl)-1)/4
InfResActBit EQU ((InfResActFl)-1)%4

InfResultNib EQU ((InfResultFl)-1)/4
InfResultBit EQU ((InfResultFl)-1)%4

IODataFmtNib EQU ((IODataFmtFl)-1)/4
IODataFmtBit EQU ((IODataFmtFl)-1)%4

IODeviceNib  EQU ((IODeviceFl)-1)/4
IODeviceBit  EQU ((IODeviceFl)-1)%4

LastArgsNib  EQU ((LastArgsFl)-1)/4
LastArgsBit  EQU ((LastArgsFl)-1)%4

VerboseNib   EQU ((VerboseFl)-1)/4
VerboseBit   EQU ((VerboseFl)-1)%4

MultiDispNib EQU ((MultiDispFl)-1)/4
MultiDispBit EQU ((MultiDispFl)-1)%4

NoAutoCRNib  EQU ((NoAutoCRFl)-1)/4
NoAutoCRBit  EQU ((NoAutoCRFl)-1)%4

NoIOStMsgNib EQU ((NoIOStsMsgFl)-1)/4
NoIOStMsgBit EQU ((NoIOStsMsgFl)-1)%4

NoParseNib   EQU ((NoParseFl)-1)/4
NoParseBit   EQU ((NoParseFl)-1)%4

NumDigsNib   EQU ((NumDigsFl1)-1)/4
NumDigsBit1  EQU ((NumDigsFl1)-1)%4

NumDispNib   EQU ((NumDispFl1)-1)/4
NumDispBit1  EQU ((NumDispFl1)-1)%4

OverfActNib  EQU ((OverfActFl)-1)/4
OverfActBit  EQU ((OverfActFl)-1)%4

OverflowNib  EQU ((OverflowFl)-1)/4
OverflowBit  EQU ((OverflowFl)-1)%4

OverwriteNib EQU ((OverwriteFl)-1)/4
OverwriteBit EQU ((OverwriteFl)-1)%4

PrintDevNib  EQU ((PrintDevFl)-1)/4
PrintDevBit  EQU ((PrintDevFl)-1)%4

RadixNib     EQU ((RadixFl)-1)/4
RadixBit     EQU ((RadixFl)-1)%4

ResRepAlmNib EQU ((ResRepAlmFl)-1)/4
ResRepAlmBit EQU ((ResRepAlmFl)-1)%4

ResultsNib   EQU ((ResultsFl)-1)/4
ResultsBit   EQU ((ResultsFl)-1)%4

ShowPrecNib  EQU ((ShowPrecFl)-1)/4
ShowPrecBit  EQU ((ShowPrecFl)-1)%4

SolutionsNib EQU ((SolutionsFl)-1)/4
SolutionsBit EQU ((SolutionsFl)-1)%4

TriAlphaNib  EQU ((TriAlphaFl)-1)/4
TriAlphaBit  EQU ((TriAlphaFl)-1)%4

TriUserNib   EQU ((TriUserFl)-1)/4
TriUserBit   EQU ((TriUserFl)-1)%4

UnderfActNib EQU ((UnderfActFl)-1)/4
UnderfActBit EQU ((UnderfActFl)-1)%4

UnderfNegNib EQU ((UnderfNegFl)-1)/4
UnderfNegBit EQU ((UnderfNegFl)-1)%4

UnderfPosNib EQU ((UnderfPosFl)-1)/4
UnderfPosBit EQU ((UnderfPosFl)-1)%4

UserKeysNib  EQU ((UserKeysFl)-1)/4
UserKeysBit  EQU ((UserKeysFl)-1)%4

RPL
RPL             ( insure RPL-mode exit )
** Non-Macro Property Lists Symbols 1.28
**miscdoc+**************************************************
************************************************************
**
** File:    PropList.h Version 1.30, 05/30/95
** Machine: Charlemagne
**
************************************************************
**+miscdoc**************************************************

**miscdoc+**************************************************
************************************************************
**
**      This file contains equates defining
**      property-list bits and parse-data for non-macro
**      romwords.  (Equates for macros are defined elsewhere.)
**
************************************************************
**
**  History:    6 JUL 88        Created by CP & MJ
**
************************************************************
**+miscdoc**************************************************

**miscdoc+**************************************************
************************************************************
**
**      Equates for Property-List Bits
**
**      These equates (and the implied order of the properties)
**      must be consistent with the property-list bits for
**      macros as defined elsewhere.
**
************************************************************
**+miscdoc**************************************************
ASSEMBLE

* most significant nibble equates:

nonALG EQU 8                    not-allowed-in-algebraics flag
hasHELP EQU 4                   has-help-data flag
hasPROMPTM EQU 4                same as above
hasALIAS EQU 2                  has-algebraic-alias flag
hasPDATA EQU 1                  has-parse-data flag

* the remaining equates are only relevant for algebraic functions.
* next most significant nibble equates:

hasDER EQU 8                    has-derivative flag
hasINV EQU 4                    has-inverse flag
hasCOLCT EQU 2                  has-COLCT-data flag
hasEXPND EQU 1                  has-EXPND-data flag

* least significant nibble equates:

hasFORM EQU 8                   has-FORM-menu flag
hasINTG EQU 4                   has-Integral-data flag
hasWHERE EQU 2                  has-WHERE-code flag
hasVUNS EQU 1                   has-veryunsymin-code flag

**miscdoc+**************************************************
************************************************************
**
**      Equates for Parse-Data
**
**      Each equate name has the structure:
**
**               pd<component abbreviation>
**
**      where the component abbreviation is that of the ERS
**      section on parsing symbolic objects.
**
************************************************************
**+miscdoc**************************************************

pdEX EQU #0             general expression
pdOP EQU #1             operator
pdQE EQU #2             quoted expression
pdQN EQU #3             quoted name
pdLP EQU #4             left parenthesis
pdRP EQU #5             right parenthesis
pdCM EQU #6             comma (non-radix)
pdEQ EQU #7             equal-sign separator
pdOS0 EQU #8            optional repeat 0
pdOS1 EQU #9            optional repeat 1
pdOS2 EQU #A            optional repeat 2
pdOS3 EQU #B            optional repeat 3
pdOS4 EQU #C            optional repeat 4
pdOS5 EQU #D            optional repeat 5
pdOS6 EQU #E            optional repeat 6
pdOS7 EQU #F            optional repeat 7

RPL

**miscdoc+**************************************************
************************************************************
**
** Defines for plot type property lists
**
************************************************************
**+miscdoc**************************************************
DEFINE ViewUI_loc ONE
DEFINE SetupUI_loc TWO
DEFINE DrTkOvr# THREE
DEFINE DrwDptch# FOUR
DEFINE PlIndVar#  FIVE
DEFINE FnNames# SIX
DEFINE PltCleanup#  SEVEN
DEFINE AxesDsrd# EIGHT
DEFINE TraceProp# NINE
DEFINE HasFcnFlg# TEN
DEFINE CrunchProc#  ELEVEN
DEFINE ShowP# TWELVE
DEFINE DefResProc# THIRTEEN
DEFINE IsStat# FOURTEEN
DEFINE PrgDpnd# FIFTEEN
DEFINE newXend# SIXTEEN
DEFINE PointDsp# SEVENTEEN
DEFINE PointXit# EIGHTEEN
DEFINE PointErr# NINETEEN
DEFINE PointMenu# TWENTY
DEFINE AutoSc# TWENTYONE
DEFINE PlotLoop# TWENTYTWO
DEFINE ShowProc# TWENTYTHREE
DEFINE GridDsrd# TWENTYFOUR
DEFINE AxisLabels# TWENTYFIVE
DEFINE IndepVal# TWENTYSIX

**miscdoc+**************************************************
**
** Defines for Interactive Plotting trace sublist
**    { Coordinate_display
**      Cursor_movement_handler
**      { TraceInit SplitTraceInit }
**      { DispX     DispY          )
**      Not_used ( Enter_loc )
**      topic_specific interactive plot init ( called by PlotInteractInit )
**      UpdateCross
**    }
**
**+miscdoc**************************************************
DEFINE COORD_h_loc   ONE
DEFINE ARROW_h_loc   TWO
DEFINE Init_h_loc    THREE
DEFINE XY_h_loc      FOUR
DEFINE Enter_loc     FIVE
DEFINE InitIP_h_loc  SIX
DEFINE UpdCrs_h_loc  SEVEN

**miscdoc+**************************************************
************************************************************
**
** Defines for Table Type type property lists
**
************************************************************
**+miscdoc**************************************************
DEFINE TBGroupLoc# THREE
DEFINE TBZoomLoc# FOUR
DEFINE TBDecompLoc# FIVE
DEFINE TSDefSplitRow# SIX
DEFINE TSSplitRows# SEVEN
DEFINE TSErrorLoc# EIGHT
DEFINE TSComplexLoc# NINE
DEFINE TSPlot>Loc# TEN
**miscdoc+**************************************************
************************************************************
**
** Defines for Topic Type type property lists
**
************************************************************
**+miscdoc**************************************************
DEFINE InstanceBint#    ONE
DEFINE TopicEntry#      TWO
DEFINE TopicExit#       THREE
DEFINE Topic1stView#    FOUR
DEFINE TopicText#       FIVE
DEFINE AltViews#        SIX
DEFINE DirectoryChk#    SEVEN
DEFINE ApletVars#       EIGHT
DEFINE ApletReset#      NINE

**miscdoc+**************************************************
************************************************************
**
** Defines for Topic Type-List Locations
**
************************************************************
**+miscdoc**************************************************
DEFINE TopicTyp_loc ONE
DEFINE PlotTyp_loc  TWO
DEFINE TableTyp_loc THREE
DEFINE SymbTyp_loc  FOUR
DEFINE NoteTyp_loc  FIVE
DEFINE PictTyp_loc  SIX

**miscdoc+**************************************************
************************************************************
**
** Defines for Topic Instance Bints
**
************************************************************
**+miscdoc**************************************************
DEFINE funcPTR# ZERO
DEFINE polarPTR# ONE
DEFINE paramPTR# TWO
DEFINE seqPTR# THREE
DEFINE statPTR# FOUR
DEFINE solvePTR# FIVE
DEFINE otherPTR# SIX

RPL             ( insure RPL-mode exit )
**      TITLE Key Code and Plane Definitions 1.8
**miscdoc+*******************************************^******
************************************************************
**
** File:    KeyCodes.h Version 1.8, 01/17/95
**
************************************************************
**+miscdoc**************************************************

**miscdoc+**************************************************
************************************************************
**
** The key plane definitions here are listed in numerical
** order.  All names begin with "kp" (to indicate a "k"ey
** "p"lane), and the names describe the key plane specified.
**
************************************************************
**+miscdoc**************************************************

DEFINE kpNoShift        ONE
DEFINE kpLeftShift      TWO
DEFINE kpRightShift     TWO
DEFINE kpANoShift       FOUR
DEFINE kpALeftShift     FIVE
DEFINE kpARightShft     FIVE

**miscdoc+**************************************************
************************************************************
**
** The key code definitions here are listed in numerical
** order.  All names begin with "kc" (to indicate a "k"ey
** "c"ode), and names are chosen to best describe the primary
** operation of the key.
**
************************************************************
**+miscdoc**************************************************

**
** For backwards compatibility:
**
DEFINE kcBackspace      BINT21

**
** Unshifted key codes:
**

DEFINE kcSoftKey1       ONE
DEFINE kcSoftKey2       TWO
DEFINE kcSoftKey3       THREE
DEFINE kcSoftKey4       FOUR
DEFINE kcSoftKey5       FIVE
DEFINE kcSoftKey6       SIX

DEFINE kcPlotView       EIGHT
DEFINE kcSymbView       SEVEN
DEFINE kcNumView        NINE
( unused key )
DEFINE kcUpArrow        TEN
( unused key )

DEFINE kcHome           BINT11
DEFINE kcLibrary        BINT12
DEFINE kcSplitView      THIRTEEN
DEFINE kcLeftArrow      BINT14
DEFINE kcDownArrow      BINT15
DEFINE kcRightArrow     BINT16

DEFINE kcVarsMenu       BINT17
DEFINE kcMathMenu       BINT18
DEFINE kcDer            BINT19
DEFINE kcXTTheta        BINT20
DEFINE kcDel            BINT21

DEFINE kcSin            BINT22
DEFINE kcCos            BINT23
DEFINE kcTan            BINT24
DEFINE kcNaturalLog     BINT25
DEFINE kcDecimalLog     BINT26

DEFINE kcSqr            BINT27
DEFINE kcPower          BINT28
DEFINE kcLeftParen      BINT29
DEFINE kcRightParen     BINT30
DEFINE kcDivide         BINT31

DEFINE kcComma          BINT32
DEFINE kc7              BINT33
DEFINE kc8              BINT34
DEFINE kc9              BINT35
DEFINE kcTimes          BINT36

DEFINE kcAlpha          BINT37
DEFINE kc4              BINT38
DEFINE kc5              BINT39
DEFINE kc6              BINT40
DEFINE kcMinus          BINT41

DEFINE kcRightShift     BINT42
DEFINE kcLeftShift      BINT42
DEFINE kc1              BINT43
DEFINE kc2              BINT44
DEFINE kc3              BINT45
DEFINE kcPlus           BINT46

DEFINE kcOn             BINT47
DEFINE kc0              BINT48
DEFINE kcPeriod         BINT49
DEFINE kcNegate         BINT50
DEFINE kcEnter          BINT51


**
** Left-shifted key codes:
**

DEFINE kcSymbSetupView  BINT7
DEFINE kcPlotSetupView  BINT8
DEFINE kcNumSetupView   NINE

DEFINE kcModes          BINT11
DEFINE kcNotesView      BINT12
DEFINE kcPictView       BINT13


DEFINE kcChars          BINT17
DEFINE kcCmds           BINT18
DEFINE kcIntegral       BINT19
DEFINE kcEnterExp       BINT20
DEFINE kcClear          BINT21

DEFINE kcAsin           BINT22
DEFINE kcAcos           BINT23
DEFINE kcAtan           BINT24
DEFINE kcLog            BINT25
DEFINE kcAlog           BINT26

DEFINE kcSqrt           BINT27
DEFINE kcNthRoot        BINT28
DEFINE kcAbs            BINT29
DEFINE kcArg            BINT30
DEFINE kcInverse        BINT31

DEFINE kcMemory         BINT32
DEFINE kcListTask       BINT33
DEFINE kc{              BINT34
DEFINE kc}              BINT35
DEFINE kcFactorial      BINT36

DEFINE kcUpperAlpha     BINT37
DEFINE kcMatrix         BINT38
DEFINE kc[              BINT39
DEFINE kc]              BINT40
DEFINE kcAngle          BINT41


DEFINE kcProgramTask    BINT43
DEFINE kcHelp           BINT44
DEFINE kcPI             BINT45
DEFINE kcSigma          BINT46

DEFINE kcOff            BINT47
DEFINE kcNotes          BINT48
DEFINE kcEqual          BINT49
DEFINE kcAnd            BINT50
DEFINE kcAnswer         BINT51

RPL             ( insure RPL-mode exit )
**      TITLE Topic Outer Loop Defines 1.1
**miscdoc+*******************************************^******
************************************************************
**
** File:    TopicOuterLoop.h Version 1.1, 10/28/94
**
************************************************************
**+miscdoc**************************************************

**
** Topic outer loop reserved TOL vars:
**
DEFINE TOLRESVARSEND+1  FIVE
**
DEFINE TopicEntry!      TOLVar1!
DEFINE TopicEntry@      TOLVar1@
DEFINE TopicEntryDo     TOLVar1@ EVAL
DEFINE TopicExit!       TOLVar2!
DEFINE TopicExit@       TOLVar2@
DEFINE TopicExitDo      TOLVar2@ EVAL
DEFINE ViewEntry!       TOLVar3!
DEFINE ViewEntry@       TOLVar3@
DEFINE ViewEntryDo      TOLVar3@ EVAL
DEFINE ViewExit!        TOLVar4!
DEFINE ViewExit@        TOLVar4@
DEFINE ViewExitDo       TOLVar4@ EVAL
RPL             ( insure RPL-mode exit )
**miscdoc+*******************************************^******
************************************************************
**
** File:    InputForm.h Version 1.7, 03/08/95
** Machine: Alcuin
**
** Input Form macros and equates
**
************************************************************
**+miscdoc**************************************************

**
** Input form event messages:
**
DEFINE IFM_DISPTITLE            ONE
DEFINE IFM_SETTITLEGROB         TWO
DEFINE IFM_SETTITLEDECOMP       THREE
DEFINE IFM_DISPCLIENT           FOUR
DEFINE IFM_SETCLIENTBACK        FIVE
DEFINE IFM_DISPLABEL            SIX
DEFINE IFM_DISPFIELD            SEVEN
DEFINE IFM_SETIFKEYOB           EIGHT
DEFINE IFM_SETFGROB             NINE
DEFINE IFM_SETFDECOMP           TEN
DEFINE IFM_DISPHELP             ELEVEN
DEFINE IFM_SETHELPGROB          TWELVE
DEFINE IFM_SETHELPDECOMP        THIRTEEN
DEFINE IFM_SETINITFOCUSFID      FOURTEEN
DEFINE IFM_SETINPFORMMENU       FIFTEEN
DEFINE IFM_SETAPPMENUKEYS       SIXTEEN
DEFINE IFM_POSTCREATE           SEVENTEEN
DEFINE IFM_SETKEYOB             EIGHTEEN
DEFINE IFM_LOSTFOCUS            NINETEEN
DEFINE IFM_GOTFOCUS             TWENTY
DEFINE IFM_UNSHOWSEL            TWENTYONE
DEFINE IFM_SHOWSEL              TWENTYTWO
DEFINE IFM_EDITFIELD            TWENTYTHREE
DEFINE IFM_PARSE                TWENTYFOUR
DEFINE IFM_POSTPARSE            TWENTYFIVE
DEFINE IFM_CHOOSE               TWENTYSIX
DEFINE IFM_CHECK                TWENTYSEVEN
DEFINE IFM_QUIT                 TWENTYEIGHT
DEFINE IFM_DONE                 TWENTYNINE
DEFINE IFM_RESET                THIRTYONE
DEFINE IFM_SETRESETCHOICES      THIRTYTWO
DEFINE IFM_RESETFIELD           THIRTYTHREE
DEFINE IFM_RESETALL             THIRTYFOUR
DEFINE IFM_DISPOBTYPES          THIRTYFIVE
DEFINE IFM_SETOBTYPEDESCS       THIRTYSIX
DEFINE IFM_GETCHOICE            THIRTYSEVEN
DEFINE IFM_CHOOSENEXT           THIRTYEIGHT
DEFINE IFM_CHOOSEBYCHR          THIRTYNINE
DEFINE IFM_SETCHOICES           FORTY
DEFINE IFM_SETUSERVALUE         FORTYONE
DEFINE IFM_SETEDLINEMENU        FORTYTWO
DEFINE IFM_SETAPPEDLMENUKEYS    FORTYTHREE
DEFINE IFM_ENDEDIT&STO          FORTYFOUR
DEFINE IFM_CHKOBTYPE            FORTYFIVE
DEFINE IFM_CHKOBVALUE           FORTYSIX
DEFINE IFM_POSTCHANGE           FORTYSEVEN
DEFINE IFM_SETDOWNFID           FORTYEIGHT
DEFINE IFM_SETUPFID             FORTYNINE
DEFINE IFM_SETFARDOWNFID        FIFTY
DEFINE IFM_SETFARUPFID          FIFTYONE
DEFINE IFM_SETNEXTFID           FIFTYTWO
DEFINE IFM_SETPREVFID           FIFTYTHREE
DEFINE IFM_SETNEXTFOCUSFID      FIFTYFOUR
DEFINE IFM_SETFOCUSOK?          FIFTYFIVE
DEFINE IFM_POSTDONE             FIFTYSIX

**
** Input form display area management:
**
** Title=DA1 Client=DA2a Help=DA2b(no edit) Edit=DA2b(edit) Menu=DA3
**
DEFINE TitleOK?         DA1OK?
DEFINE ClientOK?        :: DA2aOK? DA2aLess1OK? ClrNewEditL OR ;
DEFINE EditOK?          :: NoEditLine? caseTRUE   DA2bOK? ;
DEFINE HelpOK?          :: EditLExists? caseTRUE  DA2bOK? ;
DEFINE MenuOK?          DA3OK?
DEFINE HelpTemp?        DA2bTemp?
DEFINE ClientBad?       DA2aBad?
DEFINE HelpBad?         DA2bBad?
DEFINE SetTValid        SetDA1Valid
DEFINE SetCValid        SetDA2aValid
DEFINE SetEValid        SetDA2bValid
DEFINE SetHValid        SetDA2bValid
DEFINE SetMValid        SetDA3Valid
DEFINE SetTNoCh         SetDA1NoCh
DEFINE SetCNoCh         SetDA2aNoCh
DEFINE SetENoCh         SetDA2bNoCh
DEFINE SetHNoCh         SetDA2bNoCh
DEFINE SetMNoCh         SetDA3NoCh
DEFINE SetCTemp         SetDA2aTemp
DEFINE SetETemp         SetDA2bTemp
DEFINE SetHTemp         SetDA2bTemp
DEFINE SetTBad          SetDA1Bad
DEFINE SetCBad          SetDA2aBad
DEFINE SetEBad          SetDA2bBad
DEFINE SetHBad          SetDA2bBad
DEFINE SetMBad          SetDA3Bad
**
DEFINE SetTCEMNoCh      :: SetTNoCh SetCNoCh SetENoCh SetMNoCh ;
DEFINE SetTCENoCh       :: SetTNoCh SetCNoCh SetENoCh ;
DEFINE SetTCHNoCh       :: SetTNoCh SetCNoCh SetHNoCh ;
DEFINE SetTCMNoCh       :: SetTNoCh SetCNoCh SetMNoCh ;
DEFINE SetTCNoCh        :: SetTNoCh SetCNoCh ;
DEFINE SetCMNoCh        :: SetCNoCh SetMNoCh ;
DEFINE SetTMNoCh        :: SetTNoCh SetMNoCh ;
DEFINE SetTHMNoCh       :: SetTNoCh SetHNoCh SetMNoCh ;
DEFINE SetAllNoCh       SetDAsNoCh
DEFINE SetCHMBad        :: SetCBad SetHBad SetMBad ;
DEFINE ClrAllOK         ClrDAsOK


**
** Input form field types:
**
DEFINE FTYPE_NA         ZERO

DEFINE FTYPE_TEXT       ONE
DEFINE FTYPE_TTAUTOALG  TWO
DEFINE FTYPE_ALGTEXT    THREE

DEFINE FTYPE_LIST       FOUR
DEFINE FTYPE_LTFIXED    EIGHT
DEFINE FTYPE_LTMEMOB    SIXTEEN
DEFINE FTYPE_FIXEDLIST  TWELVE
DEFINE FTYPE_MEMOBLIST  TWENTY

DEFINE FTYPE_CHECK      THIRTYTWO

DEFINE FTYPE_AT         THREE
DEFINE FTYPE_TL         FIVE
DEFINE FTYPE_ATL        SEVEN
DEFINE FTYPE_TFL        THIRTEEN
DEFINE FTYPE_TML        TWENTYONE
DEFINE FTYPE_ATML       TWENTYTHREE

DEFINE FTYPE_TLC        THIRTYSEVEN  ( for internal use only )

**
** Input form object types:
**
DEFINE OBTYPE_NA        MINUSTWO

DEFINE OBTYPE_ANY       MINUSONE

DEFINE OBTYPE_REAL      ZERO
DEFINE OBTYPE_CMP       ONE
DEFINE OBTYPE_STR       TWO
DEFINE OBTYPE_RARRAY    THREE
DEFINE OBTYPE_CARRAY    FOUR
DEFINE OBTYPE_LIST      FIVE
DEFINE OBTYPE_ID        SIX
DEFINE OBTYPE_USERPRGM  EIGHT
DEFINE OBTYPE_SYMB      NINE
DEFINE OBTYPE_HXS       TEN
DEFINE OBTYPE_UNIT      THIRTEEN

**
** Input form decompile formats:
**
DEFINE FMT_NA           MINUSONE
DEFINE FMT_NONE         ONE
DEFINE FMT_DFLT         TWO
DEFINE FMT_STD          FOUR

DEFINE FMT_1STCHAR      EIGHT

DEFINE FMT_PART1        SIXTEEN
DEFINE FMT_PART2        THIRTYTWO

DEFINE FMT_NONE&1STCH   NINE
DEFINE FMT_P1&NONE      SEVENTEEN
DEFINE FMT_P1&DFLT      EIGHTEEN
DEFINE FMT_P1&STD       TWENTY
DEFINE FMT_P2&NONE      THIRTYTHREE
DEFINE FMT_P2&DFLT      THIRTYFOUR
DEFINE FMT_P2&STD       THIRTYSIX
DEFINE FMT_P1&NONE&1STCH  TWENTYFIVE

**
** Input form label and field standard rows and columns:
**
DEFINE LROW1            TEN
DEFINE LROW2            NINETEEN
DEFINE LROW3            TWENTYEIGHT
DEFINE LROW4            THIRTYSEVEN
DEFINE LROW5            FORTYSIX

DEFINE FROW1            EIGHT
DEFINE FROW2            SEVENTEEN
DEFINE FROW3            TWENTYSIX
DEFINE FROW4            THIRTYFIVE
DEFINE FROW5            FORTYFOUR

DEFINE COL1             ONE
DEFINE COL1+C           EIGHT
DEFINE COL1.5           FOUR
DEFINE COL1.5+C         ELEVEN
DEFINE COL2             SEVEN
DEFINE COL2+C           FOURTEEN
DEFINE COL2.5           TEN
DEFINE COL3             THIRTEEN
DEFINE COL3.5           SIXTEEN
DEFINE COL4             NINETEEN
DEFINE COL4.5           TWENTYTWO
DEFINE COL4.5+C         TWENTYNINE
DEFINE COL5             TWENTYFIVE
DEFINE COL5+C           THIRTYTWO
DEFINE COL5.5           TWENTYEIGHT
DEFINE COL6             THIRTYONE
DEFINE COL6.5           THIRTYFOUR
DEFINE COL7             THIRTYSEVEN
DEFINE COL7.5           FORTY
DEFINE COL7.5+C         FORTYSEVEN
DEFINE COL8             FORTYTHREE
DEFINE COL8+C           FIFTY
DEFINE COL8.5           FORTYSIX
DEFINE COL9             FORTYNINE
DEFINE COL9+C           FIFTYSIX
DEFINE COL9.5           FIFTYTWO
DEFINE COL10            FIFTYFIVE
DEFINE COL10+C          SIXTYTWO
DEFINE COL10.5          FIFTYEIGHT
DEFINE COL11            SIXTYONE
DEFINE COL11.5          SIXTYFOUR
DEFINE COL11.5+C        71
DEFINE COL12            FOURTHREE ( decimal 67 )
DEFINE COL12+C          SEVENTYFOUR
DEFINE COL12.5          SEVENTY
DEFINE COL13            73
DEFINE COL13+C          EIGHTY
DEFINE COL13.5          76
DEFINE COL14            SEVENTYNINE
DEFINE COL14+C          FIVESIX ( decimal 86 )
DEFINE COL14.5          LISTCMP ( decimal 82 )
DEFINE COL15            2LIST ( decimal 85 )
DEFINE COL15+C          92
DEFINE COL15.5          88
DEFINE COL15.5+C        95
DEFINE COL16            BINT_91d
DEFINE COL16+C          NINETYEIGHT
DEFINE COL16.5          94
DEFINE COL16.5+C        SIXFIVE ( decimal 101 )
DEFINE COL17            IDREAL ( decimal 97 )
DEFINE COL17+C          104
DEFINE COL17.5          IDARRY ( decimal 100 )
DEFINE COL17.5+C        107
DEFINE COL18            103
DEFINE COL18+C          110
DEFINE COL18.5          106
DEFINE COL18.5+C        LAMREAL ( decimal 113 )
DEFINE COL19            109
DEFINE COL19+C          BINT_116d
DEFINE COL19.5          lamany ( decimal 112 )
DEFINE COL19.5+C        119
DEFINE COL20            BINT_115d
DEFINE COL20+C          BINT_122d
DEFINE COL20.5          118
DEFINE COL21            121
DEFINE COL21.5          124
DEFINE COL22            127

**
** Input form standard field widths and heights:
**
DEFINE FWIDTH_C         SIX ( check width )
DEFINE CHECK_WIDTH+1    SEVEN
DEFINE FWIDTH_CHR       SIX ( field character width )

DEFINE FWIDTH1          SEVEN
DEFINE FWIDTH2          THIRTEEN
DEFINE FWIDTH3          NINETEEN
DEFINE FWIDTH4          TWENTYFIVE
DEFINE FWIDTH5          THIRTYONE
DEFINE FWIDTH6          THIRTYSEVEN
DEFINE FWIDTH7          FORTYTHREE
DEFINE FWIDTH8          FORTYNINE
DEFINE FWIDTH9          FIFTYFIVE
DEFINE FWIDTH10         SIXTYONE
DEFINE FWIDTH11         FOURTHREE ( decimal 67 )
DEFINE FWIDTH12         73
DEFINE FWIDTH13         SEVENTYNINE
DEFINE FWIDTH14         2LIST ( decimal 85 )
DEFINE FWIDTH15         BINT_91d
DEFINE FWIDTH16         IDREAL ( decimal 97 )
DEFINE FWIDTH17         103
DEFINE FWIDTH18         109
DEFINE FWIDTH19         BINT_115d
DEFINE FWIDTH20         121
DEFINE FWIDTH21         127

DEFINE FHEIGHT1         NINE
DEFINE FHEIGHT2         EIGHTEEN


**
** Input form display area metrics:
**
DEFINE HELP_AREA_TOP    FORTYSIX
DEFINE HELP_MSG_TOP     FIFTY
DEFINE HELP_BOTTOM      FIFTYFIVE
DEFINE HELP_HEIGHT      TEN

DEFINE CLIENT_TOP       SEVEN
DEFINE CLIENT_TOP+1     EIGHT
DEFINE CLIENT_HEIGHT    THIRTYNINE


**
** Miscellany:
**
DEFINE NULL             MINUSONE

DEFINE FVAL_NA          MINUSONE
DEFINE FVAL_NULL        MINUSONE
DEFINE FVALS_NULL       MINUSONE

DEFINE CHOICES_NULL     MINUSONE

DEFINE ID_NULL          MINUSONE

DEFINE OPTDATA_NULL     MINUSONE


*************************************************************************
*
*       Simple DEFINEs to TOL var access, starting at TOLRESVARSEND+1
*
*************************************************************************

DEFINE GetFieldOffset           TOLVar5@
DEFINE GetLabelOffset           TOLVar6@
DEFINE GetMyFieldId             TOLVar7@
DEFINE GetFocus                 TOLVar8@
DEFINE GetIFKeyOb               TOLVar9@
DEFINE GetIFMenuRow             TOLVar10@
DEFINE GetIFMenu                TOLVar11@
DEFINE GetFAreaStates           TOLVar12@
DEFINE GetClientBack            TOLVar13@
DEFINE GetIFExit                TOLVar14@
DEFINE GetIsInpFormTask         TOLVar15@
DEFINE IsInpFormTask?           TOLVar15@
DEFINE GetTitleSpec             TOLVar16@
DEFINE GetFormProc              TOLVar17@
DEFINE GetFieldCount            TOLVar18@
DEFINE GetLabelCount            TOLVar19@

DEFINE SetFieldOffset           TOLVar5!
DEFINE SetLabelOffset           TOLVar6!
DEFINE SetMyFieldId             TOLVar7!
DEFINE SetFocus                 TOLVar8!
DEFINE SetIFKeyOb               TOLVar9!
DEFINE SetIFMenuRow             TOLVar10!
DEFINE SetIFMenu                TOLVar11!
DEFINE SetFAreaStates           TOLVar12!
DEFINE SetClientBack            TOLVar13!
DEFINE SetIFExit                TOLVar14!
DEFINE SetIsInpFormTask         TOLVar15!
DEFINE SetTitle                 TOLVar16!
DEFINE SetFormProc              TOLVar17!
DEFINE SetFieldCount            TOLVar18!
DEFINE SetLabelCount            TOLVar19!

*************************************************************************
*
*       DEFINEs for secondaries with crunched names.
*
*************************************************************************

DEFINE GetTitle                 gFormTitle

DEFINE GetLabelText             gLblText
DEFINE GetLabelCol              gLblCol
DEFINE GetLabelRow              gLblRow
DEFINE GetLabelLoc              gLblLoc
DEFINE SetLabelText             sLblText
DEFINE SetLabelCol              sLblCol
DEFINE SetLabelRow              sLblRow
DEFINE SetLabelLoc              sLblLoc
DEFINE GetFieldProc             gFldProc
DEFINE GetFieldCol              gFldCol
DEFINE GetFieldRow              gFldRow
DEFINE GetFieldWidth            gFldWidth
DEFINE GetFieldHeight           gFldHeight
DEFINE GetFieldType             gFldType
DEFINE GetFieldObTypes          gFldObTypes
DEFINE GetFieldFormat           gFldFormat
DEFINE GetFieldHelp             gFldHelp
DEFINE GetFieldOptData1         gFldOptDat1
DEFINE GetFieldOptData2         gFldOptDat2
DEFINE GetFieldResetVal         gFldResetVal
DEFINE GetFieldVal              gFldVal
DEFINE GetFieldLoc              gFldLoc
DEFINE GetFieldSize             gFldSize
DEFINE SetFieldProc             sFldProc
DEFINE SetFieldCol              sFldCol
DEFINE SetFieldRow              sFldRow
DEFINE SetFieldWidth            sFldWidth
DEFINE SetFieldHeight           sFldHeight
DEFINE SetFieldType             sFldType
DEFINE SetFieldObTypes          sFldObTypes
DEFINE SetFieldFormat           sFldFormat
DEFINE SetFieldHelp             sFldHelp
DEFINE SetFieldOptData1         sFldOptDat1
DEFINE SetFieldOptData2         sFldOptDat2
DEFINE SetFieldResetVal         sFldResetVal
DEFINE SetFieldVal              sFldVal
DEFINE SetFieldLoc              sFldLoc
DEFINE SetFieldSize             sFldSize
RPL             ( insure RPL-mode exit )
**miscdoc+*******************************************^******
************************************************************
**
** File:    Choose.h Version 1.12, 02/17/95
** Machine: Alcuin
**
************************************************************
**+miscdoc**************************************************

**
** Choose list event messages:
**
DEFINE LM_SETROWCOUNT           FIFTYSEVEN
DEFINE LM_SETROWHEIGHT          FIFTYEIGHT
DEFINE LM_SETROWWIDTH           FIFTYNINE
DEFINE LM_SETVIEWTYPE           SIXTY
DEFINE LM_SETPICKTYPE           SIXTYONE
DEFINE LM_SETITEMCOUNT          SIXTYTWO
DEFINE LM_SET1STROWXY           SIXTYTHREE
DEFINE LM_SETFOCUSPOS           SIXTYFOUR
DEFINE LM_DISPBORDER            BINT_65d
DEFINE LM_DISPPROMPT            FOURTWO  ( decimal 66 )
DEFINE LM_SETPROMPTGROB         FOURTHREE  ( decimal 67 )
DEFINE LM_SETCHOOSEKEYOB        SIXTYEIGHT
DEFINE LM_SETKEYOB              FOURFIVE  ( decimal 69 )
DEFINE LM_SETPROMPTDECOMP       SEVENTY
DEFINE LM_DISPLIST              SEVENTYFOUR
DEFINE LM_DISPITEM              SEVENTYNINE
DEFINE LM_SETITEM               EIGHTY
DEFINE LM_SETITEMGROB           EIGHTYONE
DEFINE LM_SETITEMDECOMP         LISTCMP  ( decimal 82 )
DEFINE LM_SETMENU               FIVETHREE  ( decimal 83 )
DEFINE LM_SAVECOVWIND           FIVEFOUR  ( decimal 84 )
DEFINE LM_POSTCREATE            2LIST  ( decimal 85 )
DEFINE LM_PICK                  FIVESIX  ( decimal 86 )
DEFINE LM_RESTCOVWIND           LISTLAM  ( decimal 87 )
DEFINE LM_QUIT                  BINT_91d
DEFINE LM_DONE                  BINT_96d
DEFINE LM_GOTFOCUS              IDREAL ( decimal 97 )
DEFINE LM_SETFOCUS              IDCMP ( decimal 98 )
DEFINE LM_SETSIDE               ONEHUNDRED
DEFINE LM_SETDECOMPFORMAT       SIXFIVE ( decimal 101 )

**
** Choose display area management:
**
** border=DA1; prompt line=DA2a; list area=DA2b
**
DEFINE BorderOK?                DA1OK?
DEFINE PromptOK?                DA2aOK?
DEFINE ListOK?                  DA2bOK?
DEFINE ListBad?                 DA2bBad?
DEFINE ClrPOK                   ClrDA2aOK
DEFINE ClrLOK                   ClrDA2bOK
DEFINE SetBValid                SetDA1Valid
DEFINE SetPValid                SetDA2aValid
DEFINE SetLValid                SetDA2bValid
DEFINE SetPNoCh                 SetDA2aNoCh
DEFINE SetLNoCh                 SetDA2bNoCh
DEFINE SetBBad                  SetDA1Bad
DEFINE SetPBad                  SetDA2aBad
DEFINE SetLBad                  SetDA2bBad
DEFINE SetBPLNoCh               SetDA12NoCh
DEFINE SetB3NoCh                SetDA13NoCh
DEFINE SetBP3NoCh               SetDA12a3NCh

**
** Choose box metrics:
**
DEFINE DFLT_ROW_COUNT   FIVE            ( norm-view default visible row count )
DEFINE DFLT_1STROW_X    TWENTY          ( default first row X location )
DEFINE DFLT_1STROW_Y    FOURTEEN        ( default first row Y location )
DEFINE DFLT_ROW_WIDTH   BINT_91d        ( default row width )
DEFINE DFLT_ROW_HEIGHT  NINE            ( default row height )

DEFINE MAXV_WIDTH       XHI             ( max-view width )
DEFINE MAXV_HEIGHT      FIFTYSIX        ( max-view height )
DEFINE MAXV_DFLTROWCOUNT        SIX     ( max-view default visible row count )

DEFINE PROMPT_HEIGHT    EIGHT           ( prompt area height )

DEFINE U/DWIDTH         SIX             ( more-up/down icon width )
DEFINE U/DHEIGHT        FIVE            ( more-up/down icon height )

**
** Choose pick types:
**
DEFINE PICKTYPE_MULTI   TRUE
DEFINE PICKTYPE_SINGLE  FALSE

** Choose view types:
**
DEFINE VIEWTYPE_MAX     TRUE
DEFINE VIEWTYPE_NORM    FALSE

** Choose initial side type:
DEFINE SIDE_LEFT        TRUE
DEFINE SIDE_RIGHT       FALSE


**
** Choose variable access, starting at TOLRESVARSEND+1:
**
DEFINE CHOOSEVARCOUNT           THIRTYNINE ( max_var_num - min_var_num + 1 )
DEFINE CHOOSEARGCOUNT           EIGHT ( number of stack args saved )
**
DEFINE ChooseExit!              TOLVar5!
DEFINE ChooseExit@              TOLVar5@
DEFINE DASpecFlags!             TOLVar6!
DEFINE DASpecFlags@             TOLVar6@
DEFINE ViewOnly!                TOLVar7!
DEFINE ViewOnly?                TOLVar7@
DEFINE LFocus!                  TOLVar8!
DEFINE LFocus@                  TOLVar8@
DEFINE List!                    TOLVar9!
  DEFINE RightChProc!             TOLVar9!
DEFINE List@                    TOLVar9@
  DEFINE RightChProc@             TOLVar9@
DEFINE DecompFmt!               TOLVar10!
DEFINE DecompFmt@               TOLVar10@
DEFINE Prompt!                  TOLVar11!
DEFINE Prompt@                  TOLVar11@
DEFINE ChooseProc!              TOLVar12!
DEFINE ChooseProc@              TOLVar12@

DEFINE ChAppVar1!               TOLVar13!
DEFINE ChAppVar1@               TOLVar13@
DEFINE ChAppVar2!               TOLVar14!
DEFINE ChAppVar2@               TOLVar14@
DEFINE ChAppVar3!               TOLVar15!
DEFINE ChAppVar3@               TOLVar15@
DEFINE ChAppVar4!               TOLVar16!
DEFINE ChAppVar4@               TOLVar16@
DEFINE ChAppVar5!               TOLVar17!
DEFINE ChAppVar5@               TOLVar17@

DEFINE 2Column!                 TOLVar18!
DEFINE 2Column?                 TOLVar18@
DEFINE LeftChProc!              TOLVar19!
DEFINE LeftChProc@              TOLVar19@
DEFINE SetLeftFocus             :: TRUE TOLVar20! ;
DEFINE LeftFocus?               TOLVar20@
DEFINE SetRightFocus            :: FALSE TOLVar20! ;
DEFINE RightFocus?              :: TOLVar20@ NOT ;

DEFINE OppItemCount!            TOLVar21!
DEFINE OppItemCount@            TOLVar21@
DEFINE OppRowHeight!            TOLVar22!
DEFINE OppRowHeight@            TOLVar22@
DEFINE OppRowCount!             TOLVar23!
DEFINE OppRowCount@             TOLVar23@
DEFINE OppRowWidth!             TOLVar24!
DEFINE OppRowWidth@             TOLVar24@
DEFINE Opp1stRowX!              TOLVar25!
DEFINE Opp1stRowX@              TOLVar25@
DEFINE Opp1stRowY!              TOLVar26!
DEFINE Opp1stRowY@              TOLVar26@
DEFINE OppLFocus!               TOLVar27!
DEFINE OppLFocus@               TOLVar27@
DEFINE OppFocusPos!             TOLVar28!
DEFINE OppFocusPos@             TOLVar28@
DEFINE OppDecompFmt!            TOLVar29!
DEFINE OppDecompFmt@            TOLVar29@

DEFINE MenuWindow!              TOLVar30!
DEFINE MenuWindow@              TOLVar30@
DEFINE Window!                  TOLVar31!
DEFINE Window@                  TOLVar31@
DEFINE FocusPos!                TOLVar32!
DEFINE FocusPos@                TOLVar32@
DEFINE RowHeight!               TOLVar33!
DEFINE RowHeight@               TOLVar33@
DEFINE RowWidth!                TOLVar34!
DEFINE RowWidth@                TOLVar34@
DEFINE 1stRowY!                 TOLVar35!
DEFINE 1stRowY@                 TOLVar35@
DEFINE 1stRowX!                 TOLVar36!
DEFINE 1stRowX@                 TOLVar36@
DEFINE RowCount!                TOLVar37!
DEFINE RowCount@                TOLVar37@
DEFINE ItemCount!               TOLVar38!
DEFINE ItemCount@               TOLVar38@
DEFINE ChooseMenu!              TOLVar39!
DEFINE ChooseMenu@              TOLVar39@
DEFINE ViewType!                TOLVar40!
DEFINE ViewType@                TOLVar40@
DEFINE IsMaxView?               TOLVar40@
DEFINE PickedItems!             TOLVar41!
DEFINE PickedItems@             TOLVar41@
DEFINE PickType!                TOLVar42!
DEFINE PickType@                TOLVar42@
DEFINE IsMultiPick?             TOLVar42@
DEFINE IsChooseTask!            TOLVar43!
DEFINE IsChooseTask@            TOLVar43@
DEFINE IsChooseTask?            TOLVar43@

RPL             ( insure RPL-mode exit )
**      Charlemagne Equation Writer Constants 1.1
**miscdoc+**************************************************
************************************************************
**
** File:    EQW.h Version 1.1, 07/01/94
** Machine: Charlemagne
**
************************************************************
**+miscdoc**************************************************

** The current GBox number:
DEFINE CurrentGbox#     SEVEN
RPL             ( insure RPL-mode exit )
ASSEMBLE
**      TITLE Plot Variable Methods 1.21
RPL
**miscdoc+*******************************************^******
************************************************************
**
** File:    PlotVars.h Version 1.21, 03/28/95
** Machine: Elsie
**
************************************************************
**+miscdoc**************************************************
DEFINE PL_GET_xpos              TopicVar1@
DEFINE PL_PUT_xpos              TopicVar1!
DEFINE PL_GET_Crunch&Disp_proc  TopicVar2@
DEFINE PL_PUT_Crunch&Disp_proc  TopicVar2!
DEFINE PL_GET_ShowitProc        TopicVar3@
DEFINE PL_PUT_ShowitProc        TopicVar3!
DEFINE PL_GET_step%             TopicVar4@
DEFINE PL_PUT_step%             TopicVar4!
DEFINE PLIP_GET_%%yorigin       TopicVar5@
DEFINE PLIP_PUT_%%yorigin       TopicVar5!
DEFINE PLIP_GET_%%xorigin       TopicVar6@
DEFINE PLIP_PUT_%%xorigin       TopicVar6!
DEFINE IP_GET_#ytarget          TopicVar7@
DEFINE IP_PUT_#ytarget          TopicVar7!
DEFINE IP_GET_#xtarget          TopicVar8@
DEFINE IP_PUT_#xtarget          TopicVar8!
DEFINE PLIP_GET_yratio%%        TopicVar9@
DEFINE PLIP_PUT_yratio%%        TopicVar9!
DEFINE PLIP_GET_xratio%%        TopicVar10@
DEFINE PLIP_PUT_xratio%%        TopicVar10!
DEFINE PL_GET_CACHED_PTYPE      TopicVar11@
DEFINE PL_PUT_CACHED_PTYPE      TopicVar11!
DEFINE IP_GET_mark#y            TopicVar12@
DEFINE IP_PUT_mark#y            TopicVar12!
DEFINE IP_GET_#PICTh-1          TopicVar13@
DEFINE IP_PUT_#PICTh-1          TopicVar13!
DEFINE IP_GET_#PICTw-1          TopicVar14@
DEFINE IP_PUT_#PICTw-1          TopicVar14!
DEFINE PLIP_GET_indep_val       TopicVar15@
DEFINE PLIP_PUT_indep_val       TopicVar15!
DEFINE PL_GET_%xend             TopicVar16@
DEFINE PL_PUT_%xend             TopicVar16!
DEFINE PLIP_GET_%xstart         TopicVar17@
DEFINE PLIP_PUT_%xstart         TopicVar17!
DEFINE PLIP_GET_SAVED_DEPTH     TopicVar18@
DEFINE PLIP_PUT_SAVED_DEPTH     TopicVar18!
DEFINE IP_GET_LASTSHADE         TopicVar19@
DEFINE IP_PUT_LASTSHADE         TopicVar19!
DEFINE PL_GET_LastXArray        TopicVar20@
DEFINE PL_PUT_LastXArray        TopicVar20!
DEFINE PL_GET_LastYArray        TopicVar21@
DEFINE PL_PUT_LastYArray        TopicVar21!
DEFINE IP_GET_CACHED_DispMenu   TopicVar22@
DEFINE IP_PUT_CACHED_DispMenu   TopicVar22!
DEFINE IP_GET_CACHED_Handlers   TopicVar23@
DEFINE IP_PUT_CACHED_Handlers   TopicVar23!
DEFINE IP_GET_CACHED_TrcXpr     TopicVar24@
DEFINE IP_PUT_CACHED_TrcXpr     TopicVar24!
DEFINE IP_GET_CACHED_TrcYProc   TopicVar25@
DEFINE IP_PUT_CACHED_TrcYProc   TopicVar25!
DEFINE IP_GET_CACHED_DispProcs  TopicVar26@
DEFINE IP_PUT_CACHED_DispProcs  TopicVar26!
DEFINE IP_GET_WhichEq#          TopicVar27@
DEFINE IP_PUT_WhichEq#          TopicVar27!
DEFINE PL_GET_CRUNCHC_cache     TopicVar28@
DEFINE PL_PUT_CRUNCHC_cache     TopicVar28!
DEFINE IP_GET_TANL_cache        TopicVar29@
DEFINE IP_PUT_TANL_cache        TopicVar29!
DEFINE IP_GET_#x&ytarget        :: TopicVar8@ TopicVar7@ ;
DEFINE IP_GET_step%             TopicVar30@
DEFINE IP_PUT_step%             TopicVar30!
DEFINE IP_GET_%xend             TopicVar31@
DEFINE IP_PUT_%xend             TopicVar31!
DEFINE IP_GET_MENU_DISP_STATE   TopicVar32@
DEFINE IP_PUT_MENU_DISP_STATE   TopicVar32!
DEFINE IP_GET_GROB_UNDER_MARK   TopicVar33@
DEFINE IP_PUT_GROB_UNDER_MARK   TopicVar33!
DEFINE IP_GET_GROB_UNDER_CROSS  TopicVar34@
DEFINE IP_PUT_GROB_UNDER_CROSS  TopicVar34!
DEFINE IP_GET_MODE_num          TopicVar35@
DEFINE IP_PUT_MODE_num          TopicVar35!
DEFINE IP_GET_initial_RB_x      TopicVar36@
DEFINE IP_PUT_initial_RB_x      TopicVar36!
DEFINE IP_GET_mark#x            TopicVar37@
DEFINE IP_PUT_mark#x            TopicVar37!
DEFINE LEFTCOL                  TopicVar38@
DEFINE PL_PUT_LEFTCOL           TopicVar38!
DEFINE RIGHTCOL                 TopicVar39@
DEFINE PL_PUT_RIGHTCOL          TopicVar39!
DEFINE IP_PUT_ENVOK             TopicVar40!
DEFINE IP_GET_ENVOK             TopicVar40@
DEFINE IP_PUT_SAVEDEPTH         TopicVar41!
DEFINE IP_GET_SAVEDEPTH         TopicVar41@
DEFINE IP_PUT_EXITFCN           TopicVar42!
DEFINE IP_GET_EXITFCN           TopicVar42@
DEFINE IP_PUT_CURSORSTATE       TopicVar43!
DEFINE IP_GET_CURSORSTATE       TopicVar43@
DEFINE PL_PUT_PAUSE            TopicVar44!
DEFINE PL_GET_PAUSE            TopicVar44@
DEFINE PLIP_PUT_HYBRID         TopicVar45!
DEFINE PLIP_GET_HYBRID         TopicVar45@
* defines used in HYBRID
DEFINE NOSPLIT          ZERO
DEFINE GRAPHLEFT        ONE
DEFINE GRAPHZOOM        TWO
*
DEFINE IP_PUT_SAVEPARAMS       TopicVar46!
DEFINE IP_GET_SAVEPARAMS       TopicVar46@
DEFINE IP_PUT_DependVal        TopicVar91!
DEFINE IP_GET_DependVal        TopicVar91@
************************************************************
** Bit Mask for Individual bit of the PlotFlag
**
** See PlotFlag in TopicDir/share.d for flag
**   descriptions
**
************************************************************

DEFINE AutoScaleMsk ONE
DEFINE AxesDsrdMsk TWO
DEFINE ConnectedMsk FOUR
DEFINE EraseMsk EIGHT
DEFINE GridDsrdMsk SIXTEEN
DEFINE HighResMsk THIRTYTWO
DEFINE LabelMsk SIXTYFOUR
DEFINE RecenterMsk 128
DEFINE SimultMsk 256
DEFINE SolidCurMsk 512


************************************************************
* Plot2Flg
*   bit 0         Redraw
*   bit 1-5       symbolic view focus position
*   bit 6-9       sketch set pagenum: zero based
*   bit a         TraceMask
*   bit b         CoordMask
************************************************************

************************************************************
** Bit Mask for Individual field of the Plot2Flg
************************************************************
DEFINE Redraw      ONE
DEFINE SumbFocus   # 3E
DEFINE SketchPage  # 3C0
DEFINE TraceMask   1024
DEFINE CoordMask   2048



************************************************************
** Flag for Angle and HAngle Mode Variables
************************************************************
DEFINE DEGFlag  ONE
DEFINE RADFlag  TWO
DEFINE GRADFlag THREE
DEFINE HAngleMask THREE
RPL
RPL             ( insure RPL-mode exit )
RPL
**miscdoc+*******************************************^******
************************************************************
**
** File:    CalcDir.h Version 1.4, 04/18/95
** Machine: Charlemagne
**
************************************************************
**+miscdoc**************************************************
********************************************************************************
*
* Description:  Calculator Directory Defines
* Author:       C.M.Patton
* Created:      September 16, 1994
* Modified:
* Language:     RPL
* Status:       Experimental (Do Not Distribute)
*
* (c) Copyright 1992, Hewlett-Packard Company, all rights reserved.
*
********************************************************************************
DEFINE GETVAR_Ans  LastBut0
DEFINE GETVAR_g9  LastBut1
DEFINE GETVAR_g8  LastBut2
DEFINE GETVAR_g7  LastBut3
DEFINE GETVAR_g6  LastBut4
DEFINE GETVAR_g5  LastBut5
DEFINE GETVAR_g4  LastBut6
DEFINE GETVAR_g3  LastBut7
DEFINE GETVAR_g2  LastBut8
DEFINE GETVAR_g1  LastBut9
DEFINE GETVAR_g0  LastBut10
DEFINE GETVAR_l9  LastBut11
DEFINE GETVAR_l8  LastBut12
DEFINE GETVAR_l7  LastBut13
DEFINE GETVAR_l6  LastBut14
DEFINE GETVAR_l5  LastBut15
DEFINE GETVAR_l4  LastBut16
DEFINE GETVAR_l3  LastBut17
DEFINE GETVAR_l2  LastBut18
DEFINE GETVAR_l1  LastBut19
DEFINE GETVAR_l0  LastBut20
DEFINE GETVAR_m9  LastBut21
DEFINE GETVAR_m8  LastBut22
DEFINE GETVAR_m7  LastBut23
DEFINE GETVAR_m6  LastBut24
DEFINE GETVAR_m5  LastBut25
DEFINE GETVAR_m4  LastBut26
DEFINE GETVAR_m3  LastBut27
DEFINE GETVAR_m2  LastBut28
DEFINE GETVAR_m1  LastBut29
DEFINE GETVAR_m0  LastBut30
DEFINE GETVAR_FIT LastBut31
DEFINE GETVAR_a fxget_a
DEFINE GETVAR_b fxget_b
DEFINE GETVAR_c fxget_c
DEFINE GETVAR_d fxget_d
DEFINE GETVAR_f fxget_f
DEFINE GETVAR_g fxget_g
DEFINE GETVAR_h fxget_h
DEFINE GETVAR_j fxget_j
DEFINE GETVAR_k fxget_k
DEFINE GETVAR_l fxget_l
DEFINE GETVAR_m fxget_m
DEFINE GETVAR_n fxget_n
DEFINE GETVAR_o fxget_o
DEFINE GETVAR_p fxget_p
DEFINE GETVAR_q fxget_q
DEFINE GETVAR_r fxget_r
DEFINE GETVAR_s fxget_s
DEFINE GETVAR_t fxget_t
DEFINE GETVAR_u fxget_u
DEFINE GETVAR_v fxget_v
DEFINE GETVAR_w fxget_w
DEFINE GETVAR_x fxget_x
DEFINE GETVAR_y fxget_y
DEFINE GETVAR_z fxget_z
DEFINE GETVAR_z0 fxget_z0
DEFINE GETVAR_z1 fxget_z1
DEFINE GETVAR_z2 fxget_z2
DEFINE GETVAR_z3 fxget_z3
DEFINE GETVAR_z4 fxget_z4
DEFINE GETVAR_z5 fxget_z5
DEFINE GETVAR_z6 fxget_z6
DEFINE GETVAR_z7 fxget_z7
DEFINE GETVAR_z8 fxget_z8
DEFINE GETVAR_z9 fxget_z9

***********************************************
*                                             *
* Statistics Misc data array index Definition *
*    Data stored in stat directory            *
*    Usse StatMisc@ StatMisc! for access      *
***********************************************

DEFINE sMEANS   ONE
DEFINE sTOTS    TWO
DEFINE sSVARS   THREE
DEFINE sPVARS   FOUR
DEFINE sSSDEV   FIVE
DEFINE sPSDEV   SIX
DEFINE sNS      SEVEN
DEFINE sMINS    EIGHT
DEFINE sMAXS    NINE
DEFINE sMED     TEN
DEFINE sQ1      ELEVEN
DEFINE sQ3      TWELVE
DEFINE sMEANX   THIRTEEN
DEFINE sSX      FOURTEEN
DEFINE sSX2     FIFTEEN
DEFINE sMEANY   SIXTEEN
DEFINE sSY      SEVENTEEN
DEFINE sSY2     EIGHTEEN
DEFINE sSXY     NINETEEN
DEFINE sCORR    TWENTY
DEFINE sCOV     TWENTYONE
DEFINE sRELERR  TWENTYTWO
RPL             ( insure RPL-mode exit )
**        TITLE Table View DEFINEs 1.40
**miscdoc+*******************************************^******
************************************************************
**
** File:    Table.h Version 1.40, 04/19/95
**
************************************************************
**+miscdoc**************************************************

**rpldoc+***************************************************
************************************************************
**
**
** Purpose: Central repository for table view DEFINEs
**
**
************************************************************
**+rpldoc***************************************************

* Table DEFINEs

DEFINE TB7chrs FALSE
DEFINE TB8chrs TRUE
DEFINE TBSmallFont FALSE
DEFINE TBMediumFont TRUE

DEFINE TBFontBit ONE
DEFINE TBBuildBit TWO

************************************************************
*
* DEFINEs for split numeric view uses   ( FUNCTION/POLAR, etc.)
*
DEFINE TS_RightSuffix@ TopicVar60@
DEFINE TS_RightSuffix! TopicVar60!

DEFINE TS_LeftSuffix@ TopicVar59@
DEFINE TS_LeftSuffix! TopicVar59!

DEFINE TS_MkErrorGrob@ TopicVar58@
DEFINE TS_MkErrorGrob! TopicVar58!

DEFINE TS_Step@ TopicVar57@
DEFINE TS_Step! TopicVar57!

DEFINE TS_RightPrefix@ TopicVar56@
DEFINE TS_RightPrefix! TopicVar56!

DEFINE TS_LeftPrefix@ TopicVar55@
DEFINE TS_LeftPrefix! TopicVar55!

DEFINE TS_IndpX@ TopicVar54@
DEFINE TS_IndpX! TopicVar54!

DEFINE TS_Rows@ TopicVar53@
DEFINE TS_Rows! TopicVar53!

DEFINE TS_Group@ TopicVar52@
DEFINE TS_Group! TopicVar52!

DEFINE TS_Fn@ TopicVar51@
DEFINE TS_Fn! TopicVar51!

DEFINE TS_Start@ TopicVar50@
DEFINE TS_Start! TopicVar50!

DEFINE TS_row@ TopicVar49@
DEFINE TS_row! TopicVar49!

************************************************************
*
* DEFINEs for full numeric view uses    ( FUNCTION/POLAR, etc.)
*
DEFINE TV_TBImCache@ TopicVar34@
DEFINE TV_TBImCache! TopicVar34!

DEFINE TV_ShowComplex@ TopicVar33@
DEFINE TV_ShowComplex! TopicVar33!

DEFINE TV_ZoomList@ TopicVar32@
DEFINE TV_ZoomList! TopicVar32!

DEFINE TV_Decomp@ TopicVar31@
DEFINE TV_Decomp! TopicVar31!

DEFINE TV_DefMode@ TopicVar30@
DEFINE TV_DefMode! TopicVar30!

DEFINE TV_GroupSize@ TopicVar29@
DEFINE TV_GroupSize! TopicVar29!

DEFINE TV_OldStep@ TopicVar28@
DEFINE TV_OldStep! TopicVar28!

DEFINE TV_OldStart@ TopicVar27@
DEFINE TV_OldStart! TopicVar27!

DEFINE TV_IndpVals@ TopicVar26@
DEFINE TV_IndpVals! TopicVar26!

DEFINE TV_CacheRows@ TopicVar25@
DEFINE TV_CacheRows! TopicVar25!

DEFINE TV_BTRow1@ TopicVar24@
DEFINE TV_BTRow1! TopicVar24!

DEFINE TV_IVCache!@ TopicVar23@
DEFINE TV_IVCache!! TopicVar23!

DEFINE TV_IVCache@@ TopicVar22@
DEFINE TV_IVCache@! TopicVar22!

DEFINE TV_Build@ TopicVar21@
DEFINE TV_Build! TopicVar21!

DEFINE TV_IndVar@ TopicVar20@
DEFINE TV_IndVar! TopicVar20!

DEFINE TV_Str1@ TopicVar19@
DEFINE TV_Str1! TopicVar19!

DEFINE TV_Str2@ TopicVar18@
DEFINE TV_Str2! TopicVar18!

DEFINE TV_Str3@ TopicVar17@
DEFINE TV_Str3! TopicVar17!

DEFINE TV_TBCache@ TopicVar16@
DEFINE TV_TBCache! TopicVar16!

DEFINE TV_InvCurs@ TopicVar15@
DEFINE TV_InvCurs! TopicVar15!

DEFINE TV_DVGrob1@ TopicVar14@
DEFINE TV_DVGrob1! TopicVar14!

DEFINE TV_DVGrob2@ TopicVar13@
DEFINE TV_DVGrob2! TopicVar13!

DEFINE TV_DVGrob3@ TopicVar12@
DEFINE TV_DVGrob3! TopicVar12!

DEFINE TV_DFunc1@ TopicVar11@
DEFINE TV_DFunc1! TopicVar11!

DEFINE TV_DFunc2@ TopicVar10@
DEFINE TV_DFunc2! TopicVar10!

DEFINE TV_DFunc3@ TopicVar9@
DEFINE TV_DFunc3! TopicVar9!

DEFINE TV_IVGrob@ TopicVar8@
DEFINE TV_IVGrob! TopicVar8!

DEFINE TV_TStart@ TopicVar7@
DEFINE TV_TStart! TopicVar7!

DEFINE TV_TStep@ TopicVar6@
DEFINE TV_TStep! TopicVar6!

DEFINE TV_TFont@ TopicVar5@
DEFINE TV_TFont! TopicVar5!

DEFINE TV_TBrow@ TopicVar4@
DEFINE TV_TBrow! TopicVar4!

DEFINE TV_TBcol@ TopicVar3@
DEFINE TV_TBcol! TopicVar3!

DEFINE TV_TNfns@ TopicVar2@
DEFINE TV_TNfns! TopicVar2!

DEFINE TV_TCol1@ TopicVar1@
DEFINE TV_TCol1! TopicVar1!

************************************************************
*
* Statistics DEFINEs
*

DEFINE STFontBit ONE

************************************************************
*
* DEFINEs for TopicVar uses ( STATISTICS )
*

DEFINE TV_STFont@ TopicVar1@
DEFINE TV_STFont! TopicVar1!

DEFINE TV_STrow@ TopicVar2@
DEFINE TV_STrow! TopicVar2!

DEFINE TV_STcol@ TopicVar3@
DEFINE TV_STcol! TopicVar3!

DEFINE TV_STCol1@ TopicVar4@
DEFINE TV_STCol1! TopicVar4!

DEFINE TV_STRow1@ TopicVar5@
DEFINE TV_STRow1! TopicVar5!

DEFINE TV_STInvCurs@ TopicVar6@
DEFINE TV_STInvCurs! TopicVar6!

DEFINE TV_STGrob1@ TopicVar7@
DEFINE TV_STGrob1! TopicVar7!

DEFINE TV_STGrob2@ TopicVar8@
DEFINE TV_STGrob2! TopicVar8!

DEFINE TV_STGrob3@ TopicVar9@
DEFINE TV_STGrob3! TopicVar9!

DEFINE TV_STGrob4@ TopicVar10@
DEFINE TV_STGrob4! TopicVar10!

******************************
* Warning: The following eight are equated to hard loads in
*          STStoMax, STRclMax, and STRclArry.  If these change,
*          update the corresponding routines!
*
DEFINE TV_STArry4@ TopicVar11@
DEFINE TV_STArry4! TopicVar11!

DEFINE TV_STArry3@ TopicVar12@
DEFINE TV_STArry3! TopicVar12!

DEFINE TV_STArry2@ TopicVar13@
DEFINE TV_STArry2! TopicVar13!

DEFINE TV_STArry1@ TopicVar14@
DEFINE TV_STArry1! TopicVar14!

DEFINE TV_STMax1@ TopicVar15@
DEFINE TV_STMax1! TopicVar15!

DEFINE TV_STMax2@ TopicVar16@
DEFINE TV_STMax2! TopicVar16!

DEFINE TV_STMax3@ TopicVar17@
DEFINE TV_STMax3! TopicVar17!

DEFINE TV_STMax4@ TopicVar18@
DEFINE TV_STMax4! TopicVar18!
*
*****************************

************************************************************
**
** DEFINEs for Statistic Numeric Setup Variables
** see TopicDir/statDir.d for detail
************************************************************

DEFINE SNtypeData       ONE
DEFINE SNtypeSVar       TWO
DEFINE SNtypeSumm       THREE

DEFINE SVarTySample     ONE
DEFINE SVarTyPopula     TWO

DEFINE SModelLinear     ONE
DEFINE SModelLog        TWO
DEFINE SModelExp        THREE
DEFINE SModelPower      FOUR
DEFINE SModelQuad       FIVE
DEFINE SModelCubic      SIX
DEFINE SModelLogis      SEVEN
DEFINE SModelUser       EIGHT

************************************************************
** Bit Mask for Individual bit of ReCalcFlag.
** One bit for each Data Set. (See TopicDir/statDir.d)
************************************************************
DEFINE D1ReCalc ONE
DEFINE D2ReCalc TWO
DEFINE D3ReCalc FOUR
DEFINE D4ReCalc EIGHT
DEFINE D5ReCalc SIXTEEN
DEFINE D6ReCalc THIRTYTWO
DEFINE D7ReCalc SIXTYFOUR
DEFINE D8ReCalc 128
DEFINE D9ReCalc 256
DEFINE D0ReCalc 512

************************************************************
*
* DEFINEs for Solve Num View
*
DEFINE 1COLVARCOUNT_MAX FOUR    ( maximum total number of variables
                                possible for the 1-column solve layout
                                )
RPL             ( insure RPL-mode exit )
**        TITLE Matrix Editor DEFINEs 1.9
**miscdoc+*******************************************^******
************************************************************
**
** File:    MatEdit.h Version 1.9, 02/19/95
**
************************************************************
**+miscdoc**************************************************

**rpldoc+***************************************************
************************************************************
**
**
** Purpose: Central repository for matrix editor DEFINEs
**
**
************************************************************
**+rpldoc***************************************************

DEFINE TV_InvOn@ TopicVar20@
DEFINE TV_InvOn! TopicVar20!

DEFINE TV_Vector@ TopicVar19@
DEFINE TV_Vector! TopicVar19!

DEFINE TV_MEMatIndex@ TopicVar18@
DEFINE TV_MEMatIndex! TopicVar18!

DEFINE TV_MEInTempOb@ TopicVar17@
DEFINE TV_MEInTempOb! TopicVar17!

DEFINE TV_METype@ TopicVar16@
DEFINE TV_METype! TopicVar16!

DEFINE TV_MEGrob4@ TopicVar15@
DEFINE TV_MEGrob4! TopicVar15!

DEFINE TV_MEGrob3@ TopicVar14@
DEFINE TV_MEGrob3! TopicVar14!

DEFINE TV_MEGrob2@ TopicVar13@
DEFINE TV_MEGrob2! TopicVar13!

DEFINE TV_MEGrob1@ TopicVar12@
DEFINE TV_MEGrob1! TopicVar12!

DEFINE TV_MEAdvance@ TopicVar11@
DEFINE TV_MEAdvance! TopicVar11!

DEFINE TV_MERunning@ TopicVar10@
DEFINE TV_MERunning! TopicVar10!

DEFINE TV_MEInvCurs@ TopicVar9@
DEFINE TV_MEInvCurs! TopicVar9!

DEFINE TV_MERow1@ TopicVar8@
DEFINE TV_MERow1! TopicVar8!

DEFINE TV_MECol1@ TopicVar7@
DEFINE TV_MECol1! TopicVar7!

DEFINE TV_MEArry@ TopicVar6@
DEFINE TV_MEArry! TopicVar6!

DEFINE TV_MEFont@ TopicVar5@
DEFINE TV_MEFont! TopicVar5!

DEFINE TV_MErow@ TopicVar4@
DEFINE TV_MErow! TopicVar4!

DEFINE TV_MEcol@ TopicVar3@
DEFINE TV_MEcol! TopicVar3!

DEFINE TV_MERows@ TopicVar2@
DEFINE TV_MERows! TopicVar2!

DEFINE TV_MECols@ TopicVar1@
DEFINE TV_MECols! TopicVar1!
RPL             ( insure RPL-mode exit )
**miscdoc+*******************************************^******
************************************************************
**
** File:    IO.h Version 1.16, 05/02/95
** Machine: Alcuin
**
************************************************************
**+miscdoc**************************************************

**miscdoc+*********************************************************************
** File Structure Conventions
**
**
** Binary Transfer Type
**
** <header><T><ID NameForm><object><pad>
** |                      |
** +-- len < 128 bytes ---+
**
**
**   where <T> is a single character:
**                                                      In the extended set/
**           character | interpretation               | Ascii/Binary/Either
**          -----------+------------------------------+-------------------
**       SubTypeZapChr | Zaplet                       | Y B
**       SubTypeNteChr | Note                         | Y E
**       SubTypePgmChr | Program                      | Y E
**       SubTypeVarChr | Variable                     | N B
**       SubTypeLstChr | List (subtype of Variable)   | Y B
**       SubTypeMatChr | Matrix (subtype of Variable) | Y B
**       SubTypeLibChr | Library                      | N B
**       SubTypeTgtChr | Target List                  | N B
**       SubTypeVecChr | ASCII Vector specification   | N A
**       SubTypeDirChr | Directory List               | N A
**       SubTypeAnyChr | *wildcard*                   | Y neither
**
** Note: The following defines must be in adjacent ascending ASCII order:

ASSEMBLE
SubTypeChrBase  EQU 65 ( "A"--must match first define )
RPL
DEFINE SubTypeDirChr            CHR "A"
DEFINE SubTypeZapChr            CHR "B"
DEFINE SubTypeNteChr            CHR "C"
DEFINE SubTypePgmChr            CHR "D"
DEFINE SubTypeVarChr            CHR "E"
DEFINE SubTypeLstChr            CHR "F"
DEFINE SubTypeMatChr            CHR "G"
DEFINE SubTypeLibChr            CHR "H"
DEFINE SubTypeTgtChr            CHR "I"
DEFINE SubTypeVecChr            CHR "J"
DEFINE SubTypeAnyChr            CHR "K"

** -------------------------------------------------------------------------
** ASCII Transfer Type (entire file is readable text): Program/Note
**
** <header><T><SP><count><SP><name><body of text>
**                |                |
**                +---C$ format --+
**
**  where <T> is <SubTypePgmChr> or <SubTypeNteChr> (i.e. a program or note>
** -------------------------------------------------------------------------
** ASCII Transfer Type (entire file is readable text): Vector
**
** <header><T><SP><count><SP><name><SP><number><SP>...
**                |                |
**                +---C$ format --+
**
**  where <T> is <SubTypeVec> (if the name does not designate a variable
**  which accepts a vector, an error will result.)
** -------------------------------------------------------------------------
**
** ASCII Transfer Type (entire file is readable text):
**
** <header><U><SP><T><SP><count><SP><name><count><SP><name>...
**                       |               ||               |
**                       +---C$ format --++---C$ format --+
**                type       filename         elsiename
**                |                                       |
**                +---------------------------------------+----- ...
**                            file record
**
**  Where <U> is <SubTypeDirChr> and <T> is as above (excluding SubTypeTgtChr)
**  but including <SubTypeDirChr>
**
**+miscdoc*********************************************************************

**miscdoc+*******************************************^******
************************************************************
**
** Standard file names for object store files
**
************************************************************
**+miscdoc**************************************************

** The root directory file name:
DEFINE $IORootFile      "HP39DIR.000"
DEFINE idIORootFile     ID HP39DIR.000

** The root directory Elsie name:
DEFINE idIORootName     ID Root

** The current directory pointer file name:
DEFINE $IOCurrentDir    "HP39DIR.CUR"


